{% extends 'base.html' %}
{% block content %}
    <div class="col-md-8">
        <div class="card">
            <div class="card-body">
                {% if messages %}
                  {% for message in messages %}
                    <div class="alert alert-{{message.tags}} alert-dismissible fade show" role="alert">
                        {{message}}
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                  {% endfor %}
                {% endif %}
                <a href="{% url 'pegawai_add'  %}" class="btn btn-sm btn-success mb-3">Tambah Pegawai</a>
                <table class="table table-striped" id="data">
                    <thead>
                        <tr>
                            <th>No</th>
                            <th>NIP</th>
                            <th>Nama</th>
                            <th>Jabatan</th>
                            <th>Alamat</th>
                            <th>Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for data in pegawai %}    
                            <tr>
                                <td>{{ data.id }}</td>
                                <td>{{ data.nip }}</td>
                                <td>{{ data.nama }}</td>
                                <td>{% if data.jabatanid == 'kpl' %} Kepala Dinas
                                    {% elif data.jabatanid == 'ks' %} Kasi
                                    {% else %} Kabib
                                    {% endif %}
                                </td>
                                <td>{{ data.alamat }}</td>
                                <td>
                                    <a href="{% url 'ubah_pegawai' data.id %}" class="btn btn-sm btn-primary"> <i class="fas fa-edit"></i></a>
                                    <button type="button" class="btn btn-danger btn-sm" data-bs-toggle="modal" data-bs-target="#staticBackdrop-{{ data.id}}">
                                        <i class="fas fa-trash"></i>
                                    </button>
                                </td>
                            </tr>
                            <!-- Modal -->
                            <div class="modal fade" id="staticBackdrop-{{ data.id}}" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                                <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                    <h5 class="modal-title" id="staticBackdropLabel">Hapus pegawai : {{data.nama}}</h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Yakin ingin menghapus data ini?</p>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-primary" data-dismiss="modal">Tidak</button>
                                        <a href="{% url 'hapus_pegawai' data.id %}" type="button" class="btn btn-danger">Ya, hapus</a>
                                    </div>
                                </div>
                                </div>
                            </div>
                            <!-- /.modal -->
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
{% endblock %}